Loading...
Searching...
No Matches
Util::UrlRetrievalOptions Struct Reference

URL retrieval options for get_file_from_url() More...

## Public Attributes

bool | as_binary = False
| Return the file data as binary data; if False (the default), a string will be returned.
*string | default_path
| The default path for files with relative paths.
*hash< auto > | http_headers
| HTTP headers to add to any HTTP GET request.
*string | ssh2_private_key
| SSH2 private key path.
*string | ssh2_public_key
| SSH2 public key path.

## Detailed Description

URL retrieval options for get_file_from_url()